<mamecheat version="1">

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@107869=28</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@1078C5=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL1">
    <script state="run">
      <action>maincpu.pb@107845=06</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon Now! PL1"> <comment>Use with invincibility enabled and a weapon must be in use at the time.</comment>
    <parameter>
      <item value="0x00">No Weapon</item>
      <item value="0x01">Knife</item>
      <item value="0x02">Revolver</item>
      <item value="0x03">Whip</item>
      <item value="0x05">Assault Rifle</item>
      <item value="0x06">Rocket Launcher</item>
      <item value="0x07">Grenade</item>
      <item value="0x08">Crow Bar</item>
      <item value="0x09">Sword</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@1078BB=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@107969=28</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@1079C5=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL2">
    <script state="run">
      <action>maincpu.pb@107945=06</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon Now! PL2"> <comment>Use with invincibility enabled and a weapon must be in use at the time.</comment>
    <parameter>
      <item value="0x00">No Weapon</item>
      <item value="0x01">Knife</item>
      <item value="0x02">Revolver</item>
      <item value="0x03">Whip</item>
      <item value="0x05">Assault Rifle</item>
      <item value="0x06">Rocket Launcher</item>
      <item value="0x07">Grenade</item>
      <item value="0x08">Crow Bar</item>
      <item value="0x09">Sword</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@1079BB=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL3">
    <script state="run">
      <action>maincpu.pb@107A69=28</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL3">
    <script state="run">
      <action>maincpu.pb@107AC5=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL3">
    <script state="run">
      <action>maincpu.pb@107A45=06</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon Now! PL3"> <comment>Use with invincibility enabled and a weapon must be in use at the time.</comment>
    <parameter>
      <item value="0x00">No Weapon</item>
      <item value="0x01">Knife</item>
      <item value="0x02">Revolver</item>
      <item value="0x03">Whip</item>
      <item value="0x05">Assault Rifle</item>
      <item value="0x06">Rocket Launcher</item>
      <item value="0x07">Grenade</item>
      <item value="0x08">Crow Bar</item>
      <item value="0x09">Sword</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@107ABB=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL4">
    <script state="run">
      <action>maincpu.pb@107B69=28</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL4">
    <script state="run">
      <action>maincpu.pb@107BC5=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL4">
    <script state="run">
      <action>maincpu.pb@107B45=06</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon Now! PL4"> <comment>Use with invincibility enabled and a weapon must be in use at the time.</comment>
    <parameter>
      <item value="0x00">No Weapon</item>
      <item value="0x01">Knife</item>
      <item value="0x02">Revolver</item>
      <item value="0x03">Whip</item>
      <item value="0x05">Assault Rifle</item>
      <item value="0x06">Rocket Launcher</item>
      <item value="0x07">Grenade</item>
      <item value="0x08">Crow Bar</item>
      <item value="0x09">Sword</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@107BBB=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
